import java.awt.Font;

import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.UIManager;
import javax.swing.plaf.FontUIResource;

public class DialogsEx {
	public static void main(String[] args) {
		JFrame maFenetre = new JFrame("JOptionPane exemples");
		UIManager.put("OptionPane.messageFont", new FontUIResource(new Font("Segoe UI", Font.PLAIN, 12)));
		UIManager.put("OptionPane.buttonFont", new FontUIResource(new Font("Segoe UI", Font.PLAIN, 12)));
		maFenetre.setBounds(50, 100, 700, 500);
		maFenetre.setResizable(true);
		maFenetre.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		maFenetre.setVisible(true);
		JOptionPane.showMessageDialog(maFenetre, "L'enregistrement du fichier est effectué.", "Dialogue d'information", JOptionPane.INFORMATION_MESSAGE);
		JOptionPane.showMessageDialog(maFenetre, "Une erreur est survenue lors de l'enregistrement du fichier.\nVous pouvez réessayer avec un autre nom de fichier ou sur un autre support !", "Dialogue d'avertissement", JOptionPane.WARNING_MESSAGE);
		JOptionPane.showMessageDialog(maFenetre, "Une erreur est survenue et l'opération a échoué !", "Dialogue d'erreur", JOptionPane.ERROR_MESSAGE);
		if (JOptionPane.showConfirmDialog(maFenetre, "Le dessin a été modifié.\nSouhaitez-vous enegistrer les modifications avant de continuer ?", "Fermeture de l'application", JOptionPane.YES_NO_CANCEL_OPTION) == JOptionPane.YES_OPTION) {
			String prenom = JOptionPane.showInputDialog(maFenetre, "Prénom :", "Pierre");
			if (prenom != null)
				JOptionPane.showMessageDialog(maFenetre, "Bonjour " + prenom + ".", "Bonjour", JOptionPane.PLAIN_MESSAGE);
		}
	}
}
