package view;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.SystemColor;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.JRootPane;
import javax.swing.JTextPane;

public class AboutDialog extends JDialog {
	private static final long serialVersionUID = 1L;
	private Image img;
	private static AboutDialog instance = null;

	private AboutDialog() {
		setTitle("A propos de...");
		setUndecorated(true);
		getRootPane().setWindowDecorationStyle(JRootPane.PLAIN_DIALOG);
		getContentPane().setLayout(new BorderLayout(0, 0));

		JPanel panel = new JPanel() {
			@Override
			public void paint(Graphics g) {
				super.paint(g);
				g.drawImage(img, 0, 0, null);
			}
		};
		FlowLayout flowLayout = (FlowLayout) panel.getLayout();
		flowLayout.setVgap(120);
		panel.setBackground(Color.WHITE);
		panel.setForeground(Color.BLACK);
		getContentPane().add(panel, BorderLayout.NORTH);

		JTextPane txtpncopyrightBlabla = new JTextPane();
		txtpncopyrightBlabla.setEditable(false);
		txtpncopyrightBlabla.setBackground(SystemColor.control);
		txtpncopyrightBlabla.setText("© Copyright DessinSwing 2014\n \tPanel avec Image (paint) au Nord\n \tJTextPane pour le copyright du centre\n \tJPanel avec JButton au sud\n \tLe tout avec BorderLayout...");
		getContentPane().add(txtpncopyrightBlabla, BorderLayout.CENTER);

		JPanel panel_1 = new JPanel();
		getContentPane().add(panel_1, BorderLayout.SOUTH);

		JButton btnValider = new JButton("Valider");
		btnValider.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				AboutDialog.this.setVisible(false);
			}
		});
		panel_1.add(btnValider);
		java.net.URL imageURL = getClass().getResource("images/monster.png");
		img = new ImageIcon(imageURL).getImage();
		setLocationRelativeTo(null);
		setSize(586, 420);
	}

	public static void openDialog(boolean modal) {
		if (instance == null)
			instance = new AboutDialog();
		instance.setLocationRelativeTo(null);
		instance.setModal(modal);
		instance.setVisible(true);
	}
}
