package view;

import java.awt.Color;
import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;

public class StatusBar extends JPanel {

	private static final long serialVersionUID = 1L;
	private JLabel lblCoord;
	private JLabel lblOutil;
	private JLabel lblCouleur;
	private JLabel lblMessage;

	public StatusBar() {
		super();
		setLayout(new GridLayout(1, 4));
		add(lblMessage = new JLabel("Prêt"));
		add(lblCoord = new JLabel("Coord"));
		add(lblOutil = new JLabel("Outil"));
		add(lblCouleur = new JLabel("Couleur"));
	}

	public void afficheCoordonnees(int x, int y) {
		lblCoord.setText("(" + x + "," + y + ")");
	}

	public void afficheOutil(String nomOutil) {
		lblOutil.setText("Outil : " + nomOutil);
	}

	public void afficheCouleur(String nomCouleur) {
		lblCouleur.setText("Outil : " + nomCouleur);
	}

	public void showMessage(String message) {
		lblMessage.setForeground(Color.BLACK);
		lblMessage.setText(message);
	}

	public void showErrorMessage(String message) {
		lblMessage.setForeground(Color.RED);
		lblMessage.setText(message);
	}
}
